> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Store Balance

> Fetch the current Blink balance for a store, using the `x-store-id` header for authentication. The response includes available and pending amounts, and the mode (live/test) of the Blink account.



## OpenAPI

````yaml /api-reference/blink-api.json get /balances
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /balances:
    get:
      tags:
        - Balances
      summary: Retrieve Store Balance
      description: >-
        Fetch the current Blink balance for a store, using the `x-store-id`
        header for authentication. The response includes available and pending
        amounts, and the mode (live/test) of the Blink account.
      responses:
        '200':
          description: The Blink account balance information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreBalance'
      security:
        - storeIdHeader: []
components:
  schemas:
    StoreBalance:
      type: object
      properties:
        data:
          type: object
          properties:
            available:
              type: array
              items:
                type: object
                properties:
                  amount:
                    type: integer
                  currency:
                    type: string
            pending:
              type: array
              items:
                type: object
                properties:
                  amount:
                    type: integer
                  currency:
                    type: string
            livemode:
              type: boolean
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````